Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.tiles
Class StrutsTilesRequestContext

    java.lang.Object
      org.apache.tiles.context.TilesRequestContextWrapper
          org.apache.struts2.tiles.StrutsTilesRequestContext

All Implemented Interfaces:
  org.apache.tiles.context.TilesRequestContext

    public class StrutsTilesRequestContext

extends org.apache.tiles.context.TilesRequestContextWrapper

Default implementation of TilesUtil. This class contains default implementation of utilities. This implementation is intended to be used without Struts.

TilesUtilImpl implementation used to intercept .ftl requests and ensure that they are setup properly to take advantage of the `FreemarkerResult`.

Version:
  $Id: StrutsTilesRequestContext.java 478625 2006-11-23 17:31:52Z wsmoak $

Constructor Summary
`StrutsTilesRequestContext(org.apache.tiles.context.TilesRequestContext context)` Default constructor.
`StrutsTilesRequestContext(org.apache.tiles.context.TilesRequestContext context, java.lang.String mask)` Optional constructor used to specify a specific mask.

Method Summary
`void` | `dispatch(java.lang.String include)`
`void` | `include(java.lang.String include)` Enhancement of the default include which allows for freemarker templates to be intercepted so that the FreemarkerResult can be used in order to setup the appropriate model.

Methods inherited from class org.apache.tiles.context.TilesRequestContextWrapper
`getHeader, getHeaderValues, getParam, getParamValues, getRequest, getRequestLocale, getRequestScope, getResponse, getSessionScope, isUserInRole`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsTilesRequestContext

    public StrutsTilesRequestContext(org.apache.tiles.context.TilesRequestContext context)

  Default constructor. Sets the mask to '.ftl'

  Parameters:
    `context` -

### StrutsTilesRequestContext

    public StrutsTilesRequestContext(org.apache.tiles.context.TilesRequestContext context,
                                     java.lang.String mask)

  Optional constructor used to specify a specific mask.

  Parameters:
    `mask` -
    `context` -

Method Detail

### dispatch

    public void dispatch(java.lang.String include)
                  throws java.io.IOException

  Specified by:
    `dispatch` in interface `org.apache.tiles.context.TilesRequestContext`
  Overrides:
    `dispatch` in class `org.apache.tiles.context.TilesRequestContextWrapper`
  Throws:
    `java.io.IOException`

### include

    public void include(java.lang.String include)
                 throws java.io.IOException

  Enhancement of the default include which allows for freemarker templates to be intercepted so that the FreemarkerResult can be used in order to setup the appropriate model.

  Specified by:
    `include` in interface `org.apache.tiles.context.TilesRequestContext`
  Overrides:
    `include` in class `org.apache.tiles.context.TilesRequestContextWrapper`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.